# class RDoc::Fact

Fact holds a custom fact It is mapped to a HTMLPuppetPlugin for display

### Attributes

confine[RW]
name[RW]

### Public Class Methods

new(name, confine) click to toggle source
Calls superclass method

    # File lib/puppet/util/rdoc/code_objects.rb, line 222
    def initialize(name, confine)
      super()
      @name = name
      @confine = confine
      @comment = ""
    end

### Public Instance Methods

<=>(other) click to toggle source

    # File lib/puppet/util/rdoc/code_objects.rb, line 229
    def <=>(other)
      @name <=> other.name
    end

full_name() click to toggle source

    # File lib/puppet/util/rdoc/code_objects.rb, line 237
    def full_name
      @name
    end

is_fact?() click to toggle source

    # File lib/puppet/util/rdoc/code_objects.rb, line 233
    def is_fact?
      true
    end

to_s() click to toggle source

    # File lib/puppet/util/rdoc/code_objects.rb, line 241
    def to_s
      res = self.class.name + ": #{@name}\n"
      res << @comment.to_s
      res
    end